/************************************************************
* $Id: nfiles.h,v 1.3 2005/10/11 13:49:25 mechanoid Exp $
*       
*   neural net based associative memory
*
*       OS : FreeBSD 4.6
* COMPILER : GNU project C and C++ Compiler (gcc-2.95.3)
*
*   AUTHOR : Evgeny S. Borisov
*
*  Glushkov Institute of Cybernetics
*  National Academy of Sciences of Ukraine
* 
*    http://mechanoid.narod.ru
*  e-mail : periodical@ukrpost.net
* 
************************************************************/
#ifndef NFILES_H
#define NFILES_H

GdkPixbuf* img_load(char filename[]);// load image from file to buffer
int img_save(GdkPixbuf *pb, char filename[]); //save image from buffer to file (BMP) 
int nrdata_load(char filename[]);// load nnet input from image file
int nrdata_save(char filename[]);// save nnet output to image file
int weight_save(char filename[]);// save weight matrix to file
int weight_load(char filename[]);// load weight matrix from file

void weight_print();
void nrdata_print();

int is_folder(char filename[]);
int is_bmp(char filename[]);

#endif
